// Version 1.0.0

var Preloader=new Object();
Preloader.visible=false;

Preloader.show=function() {
	var w, h, left, top;

	// Background
	$('#preloaderBg').hide();
	w=$(document).width();
	h=$(document).height();
	$('#preloaderBg').animate({left: "0", top: "0", width: w, height: h, opacity: "0.5"}, 0);
	$('#preloaderBg').show();

	// Preloader box
	left=Math.round($(window).scrollLeft()+($(window).width()-$('#preloader').width())/2);
	top=Math.round($(window).scrollTop()+($(window).height()-$('#preloader').height())/2);
	$('#preloader').animate({left: left, top: top}, 0);
	$('#preloader').show();
	$('#preloader').removeShadow();
	$('#preloader').dropShadow({left: 2, top: 2, opacity: 0.8, blur: 1});
	Preloader.visible=true;
}

Preloader.hide=function() {
	$(".dropShadow").hide();
	$('#preloaderBg').hide();
	$('#preloader').hide();
	Preloader.visible=false;
}

Preloader.onChange=function() {
	if (Preloader.visible) Preloader.show();
}

$(window).scroll(Preloader.onChange);
$(window).resize(Preloader.onChange);
